Fetch CIN

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
companyNameStringMandatoryName of the company

Sample Request

curl --location 'https://api.instantpay.in/identity/company/lookup/cin' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data ' {
    "companyName" : "instan"
}
POST /identity/company/lookup/cin HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endpointIP}}

 {
    "companyName" : "instan"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": [
        {
            "companyID": "U64200DL2010PLC21234",
            "companyName": "INSTANTPAY INDIA LIMITED"
        },
        {
            "companyID": "U65999DL2020PTC12345",
            "companyName": "INSTANTPAY FOREX SERVICES PRIVATE LIMITED"
        }
    ],
    "timestamp": "2023-06-22 17:32:48",
    "ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
    "orderid": null,
    "environment": "SANDBOX",
    "internalCode": null
}



Body Params
string

name of the company

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json